### Hierarchy

- IParserColumnDefinition

### Implemented by

- ParserColumnDefinition

### Indexable

[key: string]: any

## Index

### Properties

- cellStyle
- columnStyle
- defaultValue
- disabled
- enumValues
- field
- id
- ignoreCellRenderer
- name
- type
- width

### Methods

- getDefaultValue
- render

## Properties

### cellStyle

cellStyle: IPageCellStyle

- Defined in Page/Parser.ts:84

### columnStyle

columnStyle: IPageCellStyle

- Defined in Page/Parser.ts:83

### defaultValue

defaultValue: string | number | null

- Defined in Page/Parser.ts:85

### disabled

disabled: boolean

- Defined in Page/Parser.ts:77

### enumValues

enumValues: IParserEnumValues

- Defined in Page/Parser.ts:86

### field

field: string

- Defined in Page/Parser.ts:80

### id

id: boolean

- Defined in Page/Parser.ts:78

### ignoreCellRenderer

ignoreCellRenderer: boolean

- Defined in Page/Parser.ts:87

### name

name: string

- Defined in Page/Parser.ts:79

### type

type: string

- Defined in Page/Parser.ts:81

### width

width: number

- Defined in Page/Parser.ts:82

## Methods

### getDefaultValue

- getDefaultValue(): string | number

- - Defined in Page/Parser.ts:89

  #### Returns string | number

### render

- render(params: IParserParams): IParserCellRenderer | null

- - Defined in Page/Parser.ts:88

  #### Parameters

  - ##### params: IParserParams

  #### Returns IParserCellRenderer | null

Generated using TypeDoc